Bug 808181 - [video][NV43] system hang with X trace and kernel errors: nsource: DMA_VTX_PROTECTION nstatus: PROTECTION_FAULT
[video][NV43] system hang with X trace and kernel errors: nsource: DMA_VTX_PR...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-29 14:33 EDT by Andrew Travneff
Modified: 2013-02-13 07:49 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 07:49:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (19.20 KB, application/octet-stream)
2012-03-29 14:33 EDT, Andrew Travneff
no flags Details
xorg log (42.19 KB, application/octet-stream)
2012-03-29 14:34 EDT, Andrew Travneff
no flags Details

  None (edit)
Description Andrew Travneff 2012-03-29 14:33:10 EDT
Description of problem:
System frozen (just sysrq keys were available) with following errors:

kernel:

[drm] nouveau 0000:01:00.0: PGRAPH - ERROR nsource: DMA_VTX_PROTECTION nstatus: PROTECTION_FAULT
[drm] nouveau 0000:01:00.0: PGRAPH - ch 4 (0x0010f000) subc 7 class 0x4097 mthd 0x1824 data 0xff0005da

Xorg:

[mi] EQ overflowing. The server is probably stuck in an infinite loop.


How reproducible:
I have similar periodic issues [1], but I don't remember exactly this protection error. All of them haven't stable reproduction scenario.


X version:
xorg-x11-server-common-1.11.4-2.fc16.x86_64
xorg-x11-drv-nouveau-0.0.16-27.20110720gitb806e3f.fc16.x86_64

kernel version:
3.3.0-4.fc16.x86_64 #1 SMP Tue Mar 20 18:05:40 UTC 2012 x86_64 x86_64 x86_64


Part of /var/log/messages and Xorg log are attached.
drm.debug = 0x04, xorg logverbose = 7.
xorg.conf is absent, however some keyboard and mouse configuration files are
present.


[1] https://bugzilla.redhat.com/show_bug.cgi?id=742657#c19

Similar issues:
https://bugzilla.redhat.com/show_bug.cgi?id=678290
https://bugzilla.redhat.com/show_bug.cgi?id=713683
https://bugzilla.redhat.com/show_bug.cgi?id=772399
Comment 1 Andrew Travneff 2012-03-29 14:33:58 EDT
Created attachment 573760 [details]
/var/log/messages
Comment 2 Andrew Travneff 2012-03-29 14:34:29 EDT
Created attachment 573761 [details]
xorg log
Comment 3 Andrew Travneff 2012-03-30 03:43:29 EDT
Just in case: traces by sound subsystem in messages file is just debug enabled explicitly.
Comment 4 Andrew Travneff 2012-04-07 10:10:46 EDT
Happened again. /var/log/messages contains no related information. Xorg log:


[   102.993] (II) NOUVEAU(0): Modeline "1280x960"x0.0  108.00  1280 1376 1488 1800  960 961 964 1000 +hsync +vsync (60.0 kHz)
[ 23458.415] [mi] EQ overflowing. The server is probably stuck in an infinite loop.
[ 23458.417] 
Backtrace:
[ 23458.479] 0: /usr/bin/X (xorg_backtrace+0x2f) [0x462dff]
[ 23458.480] 1: /usr/bin/X (mieqEnqueue+0x17d) [0x55784d]
[ 23458.480] 2: /usr/bin/X (0x400000+0x46de3) [0x446de3]
[ 23458.480] 3: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7f0ee5abb000+0x54f9) [0x7f0ee5ac04f9]
[ 23458.480] 4: /usr/bin/X (0x400000+0x7f328) [0x47f328]
[ 23458.480] 5: /usr/bin/X (0x400000+0xa4bab) [0x4a4bab]
[ 23458.480] 6: /lib64/libpthread.so.0 (0x37ef600000+0xf500) [0x37ef60f500]
[ 23458.480] 7: /lib64/libc.so.6 (ioctl+0x7) [0x37eeee9ce7]
[ 23458.480] 8: /usr/lib64/libdrm.so.2 (drmIoctl+0x28) [0x3803603488]
[ 23458.480] 9: /usr/lib64/libdrm.so.2 (drmCommandWrite+0x1b) [0x38036055ab]
[ 23458.480] 10: /usr/lib64/libdrm_nouveau.so.1 (0x7f0ee7733000+0x2f37) [0x7f0ee7735f37]
[ 23458.480] 11: /usr/lib64/libdrm_nouveau.so.1 (nouveau_bo_map_range+0x109) [0x7f0ee7736559]
[ 23458.480] 12: /usr/lib64/xorg/modules/drivers/nouveau_drv.so (0x7f0ee7939000+0x74a3) [0x7f0ee79404a3]
[ 23458.480] 13: /usr/lib64/xorg/modules/libexa.so (0x7f0ee6ce7000+0x4978) [0x7f0ee6ceb978]
[ 23458.480] 14: /usr/lib64/xorg/modules/libexa.so (0x7f0ee6ce7000+0x7cd3) [0x7f0ee6ceecd3]
[ 23458.480] 15: /usr/lib64/xorg/modules/libexa.so (0x7f0ee6ce7000+0x11caf) [0x7f0ee6cf8caf]
[ 23458.480] 16: /usr/lib64/xorg/modules/libexa.so (0x7f0ee6ce7000+0xe783) [0x7f0ee6cf5783]
[ 23458.480] 17: /usr/bin/X (0x400000+0x10788d) [0x50788d]
[ 23458.481] 18: /usr/bin/X (0x400000+0x100175) [0x500175]
[ 23458.481] 19: /usr/bin/X (0x400000+0x33b01) [0x433b01]
[ 23458.481] 20: /usr/bin/X (0x400000+0x22e15) [0x422e15]
[ 23458.481] 21: /lib64/libc.so.6 (__libc_start_main+0xed) [0x37eee2169d]
[ 23458.481] 22: /usr/bin/X (0x400000+0x23101) [0x423101]
Comment 5 Andrew Travneff 2012-04-21 05:54:53 EDT
And again. /var/log/messages still silent, X log is almost equal to previous:


[   137.884] (II) NOUVEAU(0): Modeline "1280x960"x0.0  108.00  1280 1376 1488 1800  960 961 964 1000 +hsync +vsync (60.0 kHz)
[  3010.252] [mi] EQ overflowing. The server is probably stuck in an infinite loop.
[  3010.253] 
Backtrace:
[  3010.264] 0: /usr/bin/X (xorg_backtrace+0x2f) [0x462dff]
[  3010.265] 1: /usr/bin/X (mieqEnqueue+0x17d) [0x55784d]
[  3010.265] 2: /usr/bin/X (0x400000+0x46de3) [0x446de3]
[  3010.265] 3: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7f334372d000+0x54f9) [0x7f33437324f9]
[  3010.265] 4: /usr/bin/X (0x400000+0x7f328) [0x47f328]
[  3010.265] 5: /usr/bin/X (0x400000+0xa4bab) [0x4a4bab]
[  3010.265] 6: /lib64/libpthread.so.0 (0x37ef600000+0xf500) [0x37ef60f500]
[  3010.265] 7: /lib64/libc.so.6 (ioctl+0x7) [0x37eeee9ce7]
[  3010.265] 8: /usr/lib64/libdrm.so.2 (drmIoctl+0x28) [0x3803603488]
[  3010.265] 9: /usr/lib64/libdrm.so.2 (drmCommandWrite+0x1b) [0x38036055ab]
[  3010.265] 10: /usr/lib64/libdrm_nouveau.so.1 (0x7f334690b000+0x2f37) [0x7f334690df37]
[  3010.265] 11: /usr/lib64/libdrm_nouveau.so.1 (nouveau_bo_map_range+0x109) [0x7f334690e559]
[  3010.266] 12: /usr/lib64/xorg/modules/drivers/nouveau_drv.so (0x7f3346b11000+0x5e6e) [0x7f3346b16e6e]
[  3010.266] 13: /usr/lib64/xorg/modules/libexa.so (0x7f3345ebf000+0x9ba4) [0x7f3345ec8ba4]
[  3010.266] 14: /usr/lib64/xorg/modules/libexa.so (0x7f3345ebf000+0x9cca) [0x7f3345ec8cca]
[  3010.266] 15: /usr/bin/X (miCopyRegion+0x16a) [0x555d0a]
[  3010.266] 16: /usr/bin/X (miDoCopy+0x34d) [0x5561ad]
[  3010.266] 17: /usr/lib64/xorg/modules/libexa.so (0x7f3345ebf000+0x835f) [0x7f3345ec735f]
[  3010.266] 18: /usr/bin/X (0x400000+0x10a817) [0x50a817]
[  3010.266] 19: /usr/bin/X (0x400000+0xdbf63) [0x4dbf63]
[  3010.266] 20: /usr/bin/X (0x400000+0xdd4b5) [0x4dd4b5]
[  3010.266] 21: /usr/bin/X (0x400000+0x33b01) [0x433b01]
[  3010.266] 22: /usr/bin/X (0x400000+0x22e15) [0x422e15]
[  3010.266] 23: /lib64/libc.so.6 (__libc_start_main+0xed) [0x37eee2169d]
[  3010.266] 24: /usr/bin/X (0x400000+0x23101) [0x423101]
Comment 6 Fedora End Of Life 2013-01-16 07:31:26 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 07:49:37 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.